cURL
curl --request GET \ --url https://api.example.com/proposals/{proposal_id} \ --header 'X-API-Key: <api-key>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "clientName": "<string>", "clientLocation": "<string>", "currency": "<string>", "hourlyRate": "<string>", "requirements": [ {} ], "settings": {}, "status": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "total": "<string>", "outcome": "<string>", "outcomeAt": "2023-11-07T05:31:56Z", "outcomeReason": "<string>", "outcomeNotes": "<string>", "outcomeValue": "<string>", "authorName": "<string>" }
Get a proposal by ID.
Required scope: read
read
Successful Response
Schema for proposal response.